function [figHand,numInBin,binEdge] = hist2stairplot(binCtr,binCnt)

%HIST2STAIRPLOT - Make stair-plot from histogram data
%
%SYNOPSIS
%   FIGHAND = hist2stairplot(BINCTR,BINCTR)
%
%INPUT
%   BINCTR - center of each bin
%   BINCNT - # in each bin
%
%OUTPUT
%  figHand - handle to figure object
%
%AUTHOR
%   Keith Thorne <keith.thorne@ligo.org>

% $Id: hist2stairplot.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

% - output of 'limhist' is for bin centers. For a stair 
% plot we need the beginning of each bin
% GET bin spacing
% SET bin start = bin center - (bin spacing/2)
% ADD extra termination bin
% SET value in termination bin = previous bin
% CREATE stair plot
numInBin = binCnt;
binSpace = binCtr(2) - binCtr(1);
binEdge = binCtr - (binSpace/2);
numBins = numel(binEdge);
binEdge(numBins+1) = binEdge(numBins) + binSpace;
numInBin(numBins+1) = numInBin(numBins);
figHand = stairs(binEdge,numInBin);
return
